RDKit::RGroupMatch Struct Reference

RGroupMatch is the decomposition for a single molecule. More...

`#include <RGroupMatch.h>`

## Public Member Functions

| RGroupMatch (size_t core_index, size_t numberMissingUserRGroups, R_DECOMP input_rgroups, ROMOL_SPTR matchedCore)
std::string | toString () const

## Public Attributes

size_t | core_idx
size_t | numberMissingUserRGroups
R_DECOMP | rgroups
ROMOL_SPTR | matchedCore

## Detailed Description

RGroupMatch is the decomposition for a single molecule.

Definition at line 19 of file RGroupMatch.h.

## Constructor & Destructor Documentation

## RGroupMatch()

RDKit::RGroupMatch::RGroupMatch | ( | size_t | core_index,
|  | size_t | numberMissingUserRGroups,
|  | R_DECOMP | input_rgroups,
|  | ROMOL_SPTR | matchedCore
| ) |  |

inline

Definition at line 25 of file RGroupMatch.h.

## Member Function Documentation

## toString()

std::string RDKit::RGroupMatch::toString | ( |  | ) | const

inline

Definition at line 32 of file RGroupMatch.h.

References core_idx, numberMissingUserRGroups, and rgroups.

## Member Data Documentation

## core_idx

size_t RDKit::RGroupMatch::core_idx

Definition at line 20 of file RGroupMatch.h.

Referenced by toString().

## matchedCore

ROMOL_SPTR RDKit::RGroupMatch::matchedCore

Definition at line 23 of file RGroupMatch.h.

## numberMissingUserRGroups

size_t RDKit::RGroupMatch::numberMissingUserRGroups

Definition at line 21 of file RGroupMatch.h.

Referenced by toString().

## rgroups

R_DECOMP RDKit::RGroupMatch::rgroups

Definition at line 22 of file RGroupMatch.h.

Referenced by toString().

The documentation for this struct was generated from the following file:

- RGroupMatch.h